 <!-- Sidebar  -->
 <div class="iq-sidebar">

   <div class="sidebar-menu-ctl justify-content-between">
      <div class="iq-menu-bt align-self-center">
         <div class="wrapper-menu open">
            <div class="line-menu half start"></div>
            <div class="line-menu"></div>
            <div class="line-menu half end"></div>
         </div>
      </div>
   </div>

   <div id="sidebar-scrollbar">

      <nav class="iq-sidebar-menu">

         <ul id="iq-sidebar-toggle" class="iq-menu">

            <li *ngFor="let menuItem of menuItems; let i=index" [ngClass]="{'active': router.isActive(menuItem.path, false)}">

               <ng-container *ngIf="(menuItem.children && menuItem.children.length > 0); else menuItemBlock">

                  <a class="iq-waves-effect collapsed" href="#menuItem{{i}}" data-toggle="collapse" aria-expanded="false" [hidden]="menuItem.hidden">
                     <i [ngClass]="menuItem.icon ? menuItem.icon : 'ri-menu-line'"></i>
                     <span>{{menuItem.title}}</span>
                     <i  class="ri-arrow-right-s-line iq-arrow-right"></i>
                  </a>

                  <ul id="menuItem{{i}}" class="iq-submenu collapse" data-parent="#iq-sidebar-toggle" [ngClass]="{'show': router.isActive(menuItem.path, false)}">

                     <li *ngFor="let childFirstLevel of menuItem.children; let j=index" [ngClass]="{'active': router.isActive(childFirstLevel.path, false)}">

                        <ng-container *ngIf="( childFirstLevel.children && childFirstLevel.children.length > 0); else childFirstLevelBlock">

                           <a href="#childFirstLevel{{j}}" data-toggle="collapse" aria-expanded="false" [hidden]="childFirstLevel.hidden">
                              <span>{{childFirstLevel.title}}</span>
                              <i class="ri-arrow-right-s-line iq-arrow-right"></i>
                           </a>

                           <ul id="childFirstLevel{{j}}" class="iq-submenu iq-submenu-data collapse" [ngClass]="{'show': router.isActive(childFirstLevel.path, false)}">
                              <li *ngFor="let childSecondLevel of childFirstLevel.children" routerLinkActive="active">
                                 <a [routerLink]="childSecondLevel.path">{{childSecondLevel.title}}</a>
                              </li>
                           </ul>

                        </ng-container>

                        <ng-template #childFirstLevelBlock >
                           <a [routerLink]="childFirstLevel.path" [hidden]="childFirstLevel.hidden">
                              <span>{{childFirstLevel.title}}</span>
                           </a>
                        </ng-template>

                     </li>

                  </ul>

                </ng-container>

                <ng-template #menuItemBlock>
                  <a class="iq-waves-effect collapsed" [routerLink]="menuItem.path" [hidden]="menuItem.hidden">
                     <i [ngClass]="menuItem.icon ? menuItem.icon : 'ri-menu-line'"></i>
                     <span>{{menuItem.title}}</span>
                  </a>
                </ng-template>

            </li>

         </ul>

      </nav>

   </div>
</div>
